Getting issue links

Use this request to get information about issue links. The issue is selected when its ID or key is specified.

GET

https://api.tracker.yandex.net/v3/issues/<issue_ID>/links

Query format

Before making a request, get permission to access the API.

To get a list of issue links, use an HTTP GET request:

GET /v3/issues/<issue_ID>/links
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
Headers
  • Host: address of the node that provides the API.

  • Authorization: Authorization token about these formats:

    • OAuth <OAuth_token>: For authorization using the OAuth 2.0 protocol. Learn more

    • Bearer <IAM_token>: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. Learn more

  • X-Org-ID or X-Cloud-Org-ID: Organization ID.

    • Use the X-Org-ID header if a Tracker organization is linked to Yandex 360 for Business.

    • Use the X-Cloud-Org-ID header if a Tracker organization is linked to Yandex Cloud Organization.

    To get the organization ID, go to AdministrationOrganizations and copy the value from the ID field.

Resource
Parameter Description Data type
<issue_key_or_ID> ID or key of the current issue. String

Request for issue links:

  • An HTTP GET method is used.
GET  https://api.tracker.yandex.net/v3/issues/JUNE-2/links

Response format

If the request is successful, the API returns a response with code 200 OK.

The response body contains the results in JSON format.

[
    {
        "self": "https://api.tracker.yandex.net/v3/issues/JUNE-2/links/47*****",
        "id": 47*****,
        "type": {
            "self": "https://api.tracker.yandex.net/v3/linktypes/subtask",
            "id": "subtask",
            "inward": "Sub-issue",
            "outward": "Parent issue"
        },
        "direction": "outward",
        "object": {
            "self": "https://api.tracker.yandex.net/v3/issues/TREK-9844",
            "id": "593cd211ef7e8a33********",
            "key": "TREK-9844",
            "display": "subtask"
        },
        "createdBy": {
            "self": "https://api.tracker.yandex.net/v3/users/11********",
            "id": "11********",
            "display": "Ivan Ivanov"
        },
        "updatedBy": {
            "self": "https://api.tracker.yandex.net/v3/users/11********",
            "id": "11********",
            "display": "Ivan Ivanov"
        },
        "createdAt": "2017-06-11T05:16:01.421+0000",
        "updatedAt": "2017-06-11T05:16:01.421+0000",
        "assignee": {
            "self": "https://api.tracker.yandex.net/v3/users/11********",
            "id": "11********",
            "display": "Ivan Ivanov"
        },
        "status": {
            "self": "https://api.tracker.yandex.net/v3/statuses/1",
            "id": "1",
            "key": "open",
            "display": "Open"
        }
    },
    ...
]

Response parameters

Parameter

Description

Data type

self

Address of the API resource that contains information about the link

String

id

Link ID

Number

type

Block with link type information

Object

direction

Type of relationship of the issue specified in the request relative to the issue in the object field. Possible values:

  • outward — the issue specified in the request is primary for the issue in the object field;
  • inward — the issue in the object field is primary for the issue specified in the request

String

object

Block with linked issue information

Object

createdBy

Block with link creator information

Object

updatedBy

Block with information about the last user who modified the linked issue

Object

createdAt

Date and time the link was created

String

updatedAt

Date and time the link was modified

String

assignee

Assignee of the linked issue

Object

status

Status of the linked issue

Object

Parameter Description Data type
self Link to the link type. String
id Link type ID. String
inward Name of the link type for the issue in the object field relative to the issue specified in the request. String
outward Name of the link type for the issue specified in the request relative to the issue in the object field. String

object object fields

Parameter Description Data type
self Address of the API resource with information about the issue. String
id Issue ID. String
key Issue key. String
display Issue name displayed. String

createdBy, updatedBy, assignee object fields

Parameter Description Data type
self Address of the API resource with information about the user String
id User ID. String
display Displayed user name String
passportUid Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. Number
cloudUid Unique user ID in Yandex Cloud Organization String

status object fields

Parameter Description Data type
self Address of the API resource with information about the status. String
id Status ID. String
key Status key. String
display Status name displayed. String

If the request is processed incorrectly, the API returns a response with an error code:

404
The requested object was not found. You may have specified an invalid object ID or key.